> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-8/v8-6/v8-6-0.md).

# Version 8.6.0 Changelog (2022-06-10)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

* Added snapping feature to the tools below:
  * LineCreateTool
  * ArrowCreateTool
  * PolylineCreateTool
  * PolygonCreateTool
  * RectangleCreateTool
  * PolygonCloudCreateTool
* Updated the [`SubmitForm`](https://sdk.apryse.com/api/web/Core.Actions.SubmitForm.html#main) action so that a handler callback is always required
* Added new [`AnnotationChangedActions`](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#.AnnotationChangedActions) constant to AnnotationManager for [`annotationChanged`](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#event:annotationChanged) event actions
* Renamed the `layoutChanged` API to [`pagesUpdated`](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#event:pagesUpdated)
* Added `textContentUpdated` event to the [`ContentEdit`](https://sdk.apryse.com/api/web/Core.ContentEdit.html) namespace. This is fired when a content edit box has finished updating with new text.
* Added `setEditorOptions`/`getEditorOptions` APIs to set/get Quill configuration options for FreeText annotation editing
* Added a meta tag with noindex to block search engine indexing of WebViewer HTML files
* Added ability to pan the document by holding down the mouse wheel button
* Added hybrid draw mode for line tools to create lines in two clicks instead of click and drag
* Added [`getAutoSmoothingRange`](https://sdk.apryse.com/api/web/Core.Tools.FreeHandHighlightCreateTool.html#getAutoSmoothingRange) to `FreehandHighlightCreateTool`
* Added warning when importing grouped annotations with invalid parent annotation ID

### Fixes

* Fixed [`NoZoom`](https://sdk.apryse.com/api/web/Core.Annotations.Annotation.html#NoZoom) properties not affecting other annotations other than Sticky Notes
* Fixed issue with RTL search results being incorrect
* Fixed missing documented APIs for Rectangle and Polygon
* Fixed an issue with events when clicking `TextMarkupAnnotations` with [`immediateActionOnAnnotationSelection`](https://sdk.apryse.com/api/web/Core.Tools.AnnotationEditTool.html#disableImmediateActionOnAnnotationSelection)
* Fixed issue where changing the display mode after loading a second document could cause issues with the virtual display mode
* Fixed issue where a non-standard checkbox type wasn't handled properly
* Fixed loading asm in some browsers
* Fixed bug when XFDF has incorrect font family and font-size order
* Fixed deprecation warning when calling `removeEventListener` without second parameter
* Fixed rendering bug when using multiple document viewers with a custom UI
* Disabled snap indicators when dragging the caption control point on distance measurement annotation
* Fixed carriage return bug while editing text content
* Fixed annotation command history after page manipulation
* Fixed XOD rendering error that could occur on certain tiled patterns
* Fixed an issue with [`exportAnnotationCommand`](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#exportAnnotationCommand) when moving annotations across pages
* Fixed bug where InkHighlight intent FreeHand annotations are opaque
* Fixed issue where free text annotations would jump to original page upon editing after dragging to another page
* Fixed missing required flag on Signature widgets
* Fixed issue where Apple Pencil stylus mode was causing a dot to appear when switching from free hand

## WebViewer UI

### New

* Added dropdowns to select line endings of lines
* Added [`setPresetCropDimensions`](https://sdk.apryse.com/api/web/UI.html#.setMeasurementUnits) API
* Redesigned Print, Watermark, Password, and Error modals
* Added Arc shape tool under shapes tool group in the UI
* Adjusted thumbnail selection style to better support multiselect
* Added option to [`printInBackground`](https://sdk.apryse.com/api/web/UI.html#.printInBackground) and [`setDefaultPrintOptions`](https://sdk.apryse.com/api/web/UI.html#.setDefaultPrintOptions) to toggle autorotation
* Changed cloudy rectangle area measurement tool to be hidden by default
* Added API to disable/enable the expansion of the comments thread in the notes panel
  * [`enableAutoExpandCommentThread`](https://sdk.apryse.com/api/web/UI.NotesPanel.html#.enableAutoExpandCommentThread)
  * [`disableAutoExpandCommentThread`](https://sdk.apryse.com/api/web/UI.NotesPanel.html#.disableAutoExpandCommentThread)
* Added new UI for annotation filter modal
* Added [`thumbnailControlMenu`](https://sdk.apryse.com/api/web/UI.html#.thumbnailControlMenu) to customize the thumbnail menu items

### Fixes

* Fixed WebViewer crashing with [`setUserData`](https://sdk.apryse.com/api/web/UI.MentionsManager.html#setUserData) then adding note annotations
* Fixed font size dropdown issue where 128pt will display as 1pt
* Fixed invisible search text while typing into the search input on iOS Safari
* Fixed with issue of scroll bar being visible and zooming errors after calling [`documentViewer.closeDocument`](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#closeDocument)
* Fixed wrong text color returned for form field when re-entering form builder mode
* Fixed style popup overlay getting stuck for full page redactions
* Fixed issue where page would shift clicking outside of form builder in Safari
* Fixed issue where an error would occur with sliders in the ToolStylePopup
* Fixed some German translations
* Fixed issue with [`loadTrustList`](https://sdk.apryse.com/api/web/Core.PDFNet.VerificationOptions.html#loadTrustList) causing an issue with a PDFNet Digital Signature Verification API that would result in the WebViewer UI no longer rendering Digital Signature Verification content
* Fixed issues with verifying Digital Signatures that used a SubFilter other than `adbe_pkcs7_detached`
* Fixed POINT\_ON\_LINE mode when the "Enable snapping" checkbox in measurement options is checked
* Fixed note panel custom stamp icon to match Acrobat
* Refactored [`addTab`](https://sdk.apryse.com/api/web/UI.TabManager.html#.addTab) API and clarified its documentation
* Fixed bug where redaction modal canvas was rendering even when not open or feature enabled
* Fixed the reseting of the free text in the tool style popup
* Corrected [`showWarningMessage`](https://sdk.apryse.com/api/web/UI.html#.showWarningMessage) documentation
* Fixed bug where `Forms` ribbon enables Content Edit button in `Edit` Ribbon
* Fixed alignment for header title and close button for page replacement modal
* Fixed [`annotationChanged`](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#event:annotationChanged) event triggering on every slider move
* Fixed issue where the arc measurement stroke would fail to be set from the UI
* Fixed bug where measurement scale was not editable on iOS
* Fixed the sample URL when running the UI by itself
* Fixed issue where lines and arrows were being rendered in two separate segments when a comment was added to the annotation
* Fixed issue with iPad pinch zooming being jumpy with the left panel out
* Fixed issue where Redaction Panel controls were being cut-off when viewing in tablets.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-8/v8-6/v8-6-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
